| All Verbs | /RestApi/sitefinity/inlineediting/workflow |
|---|
import java.math.*
import java.util.*
import net.servicestack.client.*
open class WorkflowOperationMessage
{
var PageId:String? = null
var WorkflowOperation:InlineEditingOperation? = null
var CustomWorkflowOperation:String? = null
var Items:ArrayList<ItemContextModel> = ArrayList<ItemContextModel>()
}
enum class InlineEditingOperation
{
Publish,
SaveAsDraft,
Custom,
}
open class ItemContextModel
{
var ItemId:String? = null
var ItemType:String? = null
var Provider:String? = null
var FieldValues:ArrayList<FieldValueModel>? = null
}
open class FieldValueModel
{
var Name:String? = null
var Value:Object? = null
var ComplexValue:ArrayList<FieldValueModel>? = null
}
Kotlin WorkflowOperationMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/sitefinity/inlineediting/workflow HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
PageId: String,
WorkflowOperation: Publish,
CustomWorkflowOperation: String,
Items:
[
{
ItemId: String,
ItemType: String,
Provider: String,
FieldValues:
[
{
Name: String,
Value: {},
ComplexValue:
[
{
Name: String,
Value: {},
ComplexValue:
[
{
Name: String,
Value: {}
}
]
}
]
}
]
}
]
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
[
{
ItemName: String,
ItemType: String,
ItemStatus:
{
DisplayStatus: String,
IsAdmin: False,
IsEditable: False,
IsStatusEditable: False,
IsLocked: False,
IsPublished: False,
IsLockedByMe: False,
LockedByUsername: String,
WorkflowStatus: String
},
ProviderName: String,
DetailsViewUrl: String
}
]